MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031502Open CASCADE[OCCT] OCCT:Codingpublic2020-04-16 12:382020-04-18 15:28
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformALLOSOS Version
Product Version[OCCT] 7.5.0* 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031502: Coding - New warnings after integration fix for 0031456
DescriptionJenkins warning parser did not take into account "Warning." case.
So warnings touched with moving includes from AIS to PrsDim package without changing prefix AIS_ was not caught.

-- Warning. C:/builds/WEEK-15/Windows-64-VC14-opt/OCCT/inc/AIS_AngleDimension.hxx is not present in the sources and will be removed from C:/builds/WEEK-15/Windows-64-VC14-opt/OCCT/inc
-- Warning. C:/builds/WEEK-15/Windows-64-VC14-opt/OCCT/inc/AIS_Chamf2dDimension.hxx is not present in the sources and will be removed from C:/builds/WEEK-15/Windows-64-VC14-opt/OCCT/inc
-- Warning. C:/builds/WEEK-15/Windows-64-VC14-opt/OCCT/inc/AIS_Chamf3dDimension.hxx is not present in the sources and will be removed from C:/builds/WEEK-15/Windows-64-VC14-opt/OCCT/inc
......
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031456verifiedbugmaster Visualization - move out Dimensions and Relations from package AIS to PrsDims 

-  Notes
(0091588)
bugmaster (administrator)
2020-04-16 12:56

It it normal?
(0091589)
kgv (developer)
2020-04-16 13:04
edited on: 2020-04-16 13:05

I guess it is because of 0031456 puts into PrsDim package AIS headers-aliases for smooth porting of existing code.

Normally, such headers should lie in AIS package, but due to enormous amount of them, I've decided putting them into PrsDim package to clean up AIS from confusing stuff.

genproj.tcl checks the whole list of headers within osutils:collectinc tool, so that it doesn't remove such headers.
CMake script COLLECT_AND_INSTALL_OCCT_HEADER_FILES within occt_resources.cmake is different - it weeds out Package name from header file and checks that header file lies exactly within FILE of the same Package. Which is "smarter", but leads to this issue.

So there are two possibilities:
- Change COLLECT_AND_INSTALL_OCCT_HEADER_FILES to follow genproj.tcl behavior.
- Move AIS headers from PrsDim to AIS.

Although existing CMake approach looks smarter, I'm not sure there is necessity to keep it.

(0091597)
abv (manager)
2020-04-16 16:43

I propose moving the offending headers back to AIS, to keep the rule of putting each header in the same-named package
(0091598)
git (administrator)
2020-04-16 16:50

Branch CR31502 has been created by kgv.

SHA-1: bfb1fd616a9eefc28679c841df5385105e887256


Detailed log of new commits:

Author: kgv
Date: Thu Apr 16 16:51:31 2020 +0300

    0031502: Coding - New warnings after integration fix for 0031456
    
    Deprecated AIS class aliases have been moved from PrsDim to AIS package.
(0091599)
kgv (developer)
2020-04-16 16:51

Please check for warnings patch in OCCT branch CR31502.
(0091640)
bugmaster (administrator)
2020-04-17 14:09

http://jenkins-test-12.nnov.opencascade.com/view/CR31502-master-inv/view/COMPARE/ [^]

There are no more warnings above
(0091642)
kgv (developer)
2020-04-17 14:26

Please integrate.
(0091649)
git (administrator)
2020-04-18 15:28

Branch CR31502 has been deleted by inv.

SHA-1: bfb1fd616a9eefc28679c841df5385105e887256

- Related Changesets
occt: master b8a00b41
Timestamp: 2020-04-16 13:51:31
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031502: Coding - New warnings after integration fix for 0031456

Deprecated AIS class aliases have been moved from PrsDim to AIS package.
mod - src/AIS/FILES Diff ] File ]
mod - src/PrsDim/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-04-16 12:38 bugmaster New Issue
2020-04-16 12:38 bugmaster Assigned To => bugmaster
2020-04-16 12:40 bugmaster Description Updated View Revisions
2020-04-16 12:41 kgv Relationship added child of 0031456
2020-04-16 12:42 kgv Product Version => 7.5.0*
2020-04-16 12:47 bugmaster Description Updated View Revisions
2020-04-16 12:54 bugmaster Description Updated View Revisions
2020-04-16 12:54 bugmaster Assigned To bugmaster => kgv
2020-04-16 12:56 bugmaster Note Added: 0091588
2020-04-16 13:04 kgv Note Added: 0091589
2020-04-16 13:04 kgv Note Edited: 0091589 View Revisions
2020-04-16 13:04 kgv Note Edited: 0091589 View Revisions
2020-04-16 13:05 kgv Note Edited: 0091589 View Revisions
2020-04-16 13:05 kgv Note Edited: 0091589 View Revisions
2020-04-16 16:43 abv Note Added: 0091597
2020-04-16 16:50 git Note Added: 0091598
2020-04-16 16:51 kgv Note Added: 0091599
2020-04-16 16:51 kgv Assigned To kgv => bugmaster
2020-04-16 16:51 kgv Status new => feedback
2020-04-17 14:08 bugmaster Assigned To bugmaster => kgv
2020-04-17 14:08 bugmaster Status feedback => resolved
2020-04-17 14:08 bugmaster Steps to Reproduce Updated View Revisions
2020-04-17 14:08 bugmaster Steps to Reproduce Updated View Revisions
2020-04-17 14:09 bugmaster Note Added: 0091640
2020-04-17 14:26 kgv Note Added: 0091642
2020-04-17 14:26 kgv Assigned To kgv => bugmaster
2020-04-17 14:26 kgv Status resolved => reviewed
2020-04-18 15:09 bugmaster Test case number => Not required
2020-04-18 15:10 bugmaster Status reviewed => tested
2020-04-18 15:13 bugmaster Changeset attached => occt master b8a00b41
2020-04-18 15:13 bugmaster Status tested => verified
2020-04-18 15:13 bugmaster Resolution open => fixed
2020-04-18 15:28 git Note Added: 0091649


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker